Bug 1024063 - [RFE] Provide way to reboot host without using Power Management
[RFE] Provide way to reboot host without using Power Management
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: RFEs (Show other bugs)
3.4.0
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-4.1.0-beta
: 4.1.0
Assigned To: Ondra Machacek
Petr Kubica
: FutureFeature, Improvement
Depends On:
Blocks: 1415713
  Show dependency treegraph
 
Reported: 2013-10-28 13:42 EDT by Scott Herold
Modified: 2017-02-01 09:42 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Previously, it was impossible to reboot a host without using Power Management. In this release, it is now possible to shut down and reboot a host without using Power Management. From the Management menu, a new option called SSH Management is available, enabling administrators to select either Restart or Stop.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-01 09:42:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mperina: ovirt‑4.1?
lsvaty: testing_plan_complete-
rule-engine: planning_ack?
mperina: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 57791 master MERGED webadmin: hosts: change structure of host list model buttons 2016-05-30 16:53 EDT
oVirt gerrit 57941 master MERGED webadmin: hosts: add ssh management submenu 2016-05-30 17:15 EDT

  None (edit)
Description Scott Herold 2013-10-28 13:42:27 EDT
Description of problem:
Servers don't have proper hardware for remote management (ILO/IPMI, etc).  Would be convenient to provide mechanism to reboot hosts within the UI without havng Power Management COnfigured

How reproducible:
100%

Expected results:
Provide right-click option or menu option to execute a remote host reboot.

Additional info:
Comment 1 Itamar Heim 2013-11-29 03:07:03 EST
barak - does the ssh fencing allow this?
Comment 2 Eli Mesika 2014-06-03 05:09:00 EDT
(In reply to Itamar Heim from comment #1)
> barak - does the ssh fencing allow this?

I think that the power-save policy is just doing the same ...
Comment 5 Eli Mesika 2016-05-15 03:36:50 EDT
In this patch [1] , I added support for ssh reboot command that may be relevant in order to implement that 

[1] https://gerrit.ovirt.org/#/c/53790/
Comment 6 Emma Heftman 2017-01-19 11:45:22 EST
Hi Ondra. Can you confirm whether the Administration Guide should be updated to reflect this new way to reboot a host in 4.1.
Comment 7 Ondra Machacek 2017-01-23 08:47:30 EST
It would be nice if so.
Comment 8 Petr Kubica 2017-01-31 10:27:23 EST
Verified in 4.1.0-0.3.beta2.el7

Note You need to log in before you can comment on or make changes to this bug.